#!/usr/bin/make

# nonintel.mak Version 0.2.0 - Compile Pick 3 Lottery
# for a non-Intel platform.
# Copyright (C) 2002-2005  dondalah@ripco.com (Dondalah)

# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

PICK3=pick3.o \
	getp3.o \
	combo.o \
	permute.o \
	rndinit.o \
	rnd.o \
	rndnum.o \
	rndpwr.o \
	getmd5.o \
	md5c.o

P3PROB=p3prob.o \
	getp3.o \
	combo.o \
	permute.o

CC=gcc

CFLAGS=-c -Wall -O6

LDFLAGS=-lm

all:		pick3 p3prob

pick3:		$(PICK3)
	$(CC) -Wall -O6 $(PICK3) -o pick3 $(LDFLAGS)

p3prob:		$(P3PROB)
	$(CC) -Wall -O6 $(P3PROB) -o p3prob $(LDFLAGS)

pick3.o:	pick3.c
	$(CC) $(CFLAGS) pick3.c

p3prob.o:	p3prob.c
	$(CC) $(CFLAGS) p3prob.c

getp3.o:	getp3.c
	$(CC) $(CFLAGS) getp3.c

combo.o:	combo.c
	$(CC) $(CFLAGS) combo.c

permute.o:	permute.c
	$(CC) $(CFLAGS) permute.c

initrnd.o:	initrnd.c
	$(CC) $(CFLAGS) initrnd.c

rnd.o:		rnd2.c
	$(CC) -o rnd.o $(CFLAGS) rnd2.c

rndnum.o:	rndnum2.c
	$(CC) -o rndnum.o $(CFLAGS) rndnum2.c

rndpwr.o:	rndpwr2.c
	$(CC) -o rndpwr.o $(CFLAGS) rndpwr2.c

clean:
	rm -f $(PICK3) p3gm
	rm -f $(P3PROB) p3prob
